Bug 853756 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:5b8def4bfcb3bba9d3ba7585760...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 13:20 EDT by Thomas Quinn
Modified: 2013-08-01 15:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-09-02 13:20 EDT, Thomas Quinn
no flags Details
File: Xorg.0.log (17.48 KB, text/plain)
2012-09-02 13:20 EDT, Thomas Quinn
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (382 bytes, text/plain)
2012-09-02 13:20 EDT, Thomas Quinn
no flags Details

  None (edit)
Description Thomas Quinn 2012-09-02 13:20:28 EDT
Description of problem:
1) Resumed from a "Suspend".
2) started typing in an "xterm".

I'm not sure how reproducible this is.


Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (0x400000+0x6a289) [0x46a289]
:2: /lib64/libpthread.so.0 (0x348ac00000+0xefe0) [0x348ac0efe0]
:3: /usr/bin/Xorg (XIChangeDeviceProperty+0x1b8) [0x512c08]
:4: /usr/bin/Xorg (0x400000+0x113263) [0x513263]
:5: /usr/bin/Xorg (0x400000+0x3444a) [0x43444a]
:6: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:7: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x348a821735]
:8: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 Thomas Quinn 2012-09-02 13:20:31 EDT
Created attachment 609136 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Thomas Quinn 2012-09-02 13:20:32 EDT
Created attachment 609137 [details]
File: Xorg.0.log
Comment 3 Thomas Quinn 2012-09-02 13:20:35 EDT
Created attachment 609138 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Chad 2012-09-07 11:37:26 EDT
I booted to Fedora 17 with linux kernel 3.5.3-1.fc17.x86_64.  I suspended my computer.  On resume from suspend everything was fine for about 10 seconds.  Then the screen went black, and it returned me to the login screen.  I lost all of my open applications and unsaved data.  This has happened multiplet times on resuming from suspend and hibernate.  This seems to happen only with the 3.5... kernel and not the 3.3 kernel, but I'm not completely positive about that.   This is on a 1 year old Lenovo ThinkPad Edge E420 with Intel Core i5 quad core processor.  I have 4 gb of ram and 4 gb swap partition.  

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Jesse Kahtava 2012-09-20 11:01:40 EDT
Computer came out of suspend, X crashed

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Thomas Quinn 2012-09-27 20:55:54 EDT
Resumed from suspend to ram,

Started typing


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 jonathan baron 2012-09-29 06:36:46 EDT
This is a periodic, spontaneous crash of Gnome. It happens about once a day at no particular time and following no particular action.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 jonathan baron 2012-10-04 06:57:03 EDT
This is the same bug for me as 846462.
I did not know how to get abrt to combine them.
Comment 9 Adam Jackson 2012-10-18 17:50:46 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 10 Adam Jackson 2012-10-18 17:51:01 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 11 jonathan baron 2012-10-18 18:46:54 EDT
(In reply to comment #10)
> Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this
> is still reproduceable.

It isn't reproducible in the first place. It happens at random, but usually in response to something done with the keyboard or touchpad. But it did happen yesterday, and I did have xorg-x11-server-Xorg-1.12.3.2.fc17 (not quite what you say) installed.
Comment 12 Thomas Quinn 2012-10-27 12:43:29 EDT
Still happens at xorg-x11-server-Xorg-1.12.3.2.fc17.  Here is the latest backtrace:

0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652d6]
1: /usr/bin/Xorg (0x400000+0x6a2b9) [0x46a2b9]
2: /lib64/libpthread.so.0 (0x3d9b000000+0xefe0) [0x3d9b00efe0]
3: /usr/bin/Xorg (XIGetDeviceProperty+0x40) [0x512e00]
4: /usr/bin/Xorg (0x400000+0x112f05) [0x512f05]
5: /usr/bin/Xorg (0x400000+0x1134a2) [0x5134a2]
6: /usr/bin/Xorg (0x400000+0x3447a) [0x43447a]
7: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3d9ac21735]
9: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 13 Brian J. Murrell 2012-10-27 16:34:04 EDT
I also had this happen on xorg-x11-server-*-1.12.3-2.fc17.x86_64
Comment 14 Fedora End Of Life 2013-07-04 03:15:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 15:10:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.